> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/about_cdn/how_to_purge.md).

# CDN actions: How to purge

Below you can read how to remove cached content from the CDN's edge servers. You can either choose to remove cached content though the CDN front end, or using the CDN API.

## Purge using the CDN front end

1. **Log into the CDN control panel**: Open a web browser and navigate to the control panel URL. Enter your login credentials to access the control panel dashboard.
2. **Access Cache Management**: Once you have logged in, select the **Cache** tab.
3. **Specify content to purge**: In the **Purge selected URLs** field, enter the URLs you want to purge. Be sure to add each URL in a new line. Alternatively you can click **Start purging all** to purge all of your cache.
4. **Confirm and initiate purge**: Review your list of files/URLs you entered to confirm what you want to purge. Click **Start purging** to start the process.
5. **Action verification**: Once the purging is complete, you can verify its success by accessing the purged files/URLs. These files/URLs should now be fetched from the origin server, which indicates the purging was successful.

## Purge using the CDN API

1. **Open API**: Obtain API credentials (such as API keys or tokens). These credentials will authenticate your API requests.
2. **Identify content to purge**: Determine the content that you want to purge. This could be a specific URL, a group of URLs, a file path, or a wildcard pattern that matches the content that you want to remove.
3. **Construct the API request**: Create an HTTP request to the appropriate API endpoint.
4. **Send an API request**: Use the HTTP method specified in the CDN's [API Swagger documentation](https://api.cdn.i3d.net/docs/index.html). Include the necessary headers, API credentials, and contact identifiers in the request payload.
5. **Process the API response**: The API call will return a response indicating the status of your request. Check the response for success or error messages.

## Related topics

* [About CDN](/about_cdn.md)
* [How to pre-warm](/about_cdn/how_to_prewarm.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/about_cdn/how_to_purge.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
